{% extends 'base.html' %}

{% block title %}Enter new password{% endblock %}

{% block content %}

<section id="reset-password" class="container">
    <div class="row justify-content-center">
        <div class="col-5">
            <div class="card-body form-group py-5">
                <h1 class="card-title text-center mb-5">Set a new password</h1>

                <form method="POST" novalidate> {% csrf_token %}
                    {% for field in form %}
                        <div class="form-row d-flex justify-content-center mt-2">
                            <div class="form-group col-12 col-md-9">
                                <label for="{{ field.id_for_label }}" class="form-label">
                                    {% if 'password' in field.id_for_label %}
                                        <strong>New {{ field.label|lower }}</strong>
                                    {% elif 'account' in field.id_for_label %}
                                        <strong>Email address*</strong>
                                    {% endif %}
                                </label>
                                {{ field }}

                                {% if field.errors %}
                                    <div class="invalid-feedback">
                                        {{ field.errors }}
                                    </div>
                                {% endif %}
                            </div>
                        </div>
                    {% endfor %}

                    <div class="form-row d-flex justify-content-center my-4">
                        <div class="form-group col-12 col-md-9 d-flex justify-content-between">
                            <input type="submit" class="btn btn-primary" value="SAVE">
                            <a class="btn btn-primary" href="{% url 'login' %}">CANCEL</a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</section>

{% endblock %}